APIs / Rumble / Videos Search

Rumble: Videos Search

Videos Search from Rumble as JSON. 1 credit per successful call.

GET /v1/rumble/videos-searchNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringRequiredUp to 191 characters
offsetintegerOptionalAny
limitintegerOptionalAny
sortstringOptionaldate, views, rumbles
datestringOptionaltoday
durationstringOptionalshort, long
video_typestringOptionalshorts, long-form

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/rumble/videos-search" \
  -H "X-API-Key: $API_KEY"